<!DOCTYPE html>
<html lang="zh-CN">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>jQuery-jsonp</title>
        <style>
            #result {
                width: 300px;
                height: 100px;
                border: solid 1px #089;
            }
        </style>
        <script
            crossorigin="anonymous"
            src="https://cdn.bootcss.com/jquery/3.5.0/jquery.min.js"
        ></script>
    </head>

    <body>
        <button>点击发送 jsonp 请求</button>
        <div id="result"></div>
        <script>
            $("button")
                .eq(0)
                .click(function () {
                    $.getJSON(
                        "http://127.0.0.1:8000/jquery-jsonp-server?callback=?",     // `callback=?`是固定写法，jquery自动添加callback参数
                        function (data) {
                            $("#result").html(`
                    名称: ${data.name}<br>
                    校区: ${data.city}
                `);
                        }
                    );
                });
        </script>
    </body>
</html>
